
module( "test", package.seeall )

function prefixes()
  return "TEST"
end

function on_msg(prefix, command, rest, notice)
  if string.match( prefix, "SYS" ) then
    if string.match( command, "LIST" ) then
      return notice .. "TEST,SYS luaServer(test-server)"
    end
  elseif string.match( prefix, "TEST" ) then
    return notice .. "test string reply."
  end
  return ""
end
